slang: make install-static do install-pkgconfig
[buildroot-gz.git] / package / dnsmasq / S80dnsmasq
blobd2f8b0f6b4dca65271584fbdd9eaa288abe65430
1 #!/bin/sh
3 [ -x /usr/sbin/dnsmasq ] || exit 0
4 [ -f /etc/dnsmasq.conf ] || exit 0
6 case "$1" in
7 start)
8 printf "Starting dnsmasq: "
9 start-stop-daemon -S -x /usr/sbin/dnsmasq
10 [ $? = 0 ] && echo "OK" || echo "FAIL"
12 stop)
13 printf "Stopping dnsmasq: "
14 start-stop-daemon -K -q -x /usr/sbin/dnsmasq
15 [ $? = 0 ] && echo "OK" || echo "FAIL"
17 restart|reload)
18 $0 stop
19 $0 start
22 echo "Usage: $0 {start|stop|restart}"
23 exit 1
24 esac
26 exit 0